import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { CentralExchangeMarket } from "./central-exchange-market.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class CentralExchangeMarketService extends TypeOrmCrudService<CentralExchangeMarket> {
    readonly repo: Repository<CentralExchangeMarket>;
    private entity;
    private relations;
    private recursiveRelations;
    constructor(repo: Repository<CentralExchangeMarket>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchangeMarket>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchangeMarket[]>;
    createOneBy(params: DeepPartial<CentralExchangeMarket>, manager?: EntityManager): Promise<CentralExchangeMarket>;
    createAllBy(params: DeepPartial<CentralExchangeMarket>[], manager?: EntityManager): Promise<CentralExchangeMarket[]>;
    createAllIfNotExistBy(params: DeepPartial<CentralExchangeMarket>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof CentralExchangeMarket]?: any | FindOperator<CentralExchangeMarket[K]>;
    }, set: {
        [K in keyof CentralExchangeMarket]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
